#!/bin/bash

if [ $# -lt 1 ]; then
	echo "Usage: $0 <playlist>"
	exit 0
fi 

PLAYLIST=$1

VIDEO="VIDEO/"
DOWNLOADED_VIDEO="YOUTUBE/"

if [ ! -d "$VIDEO" ] || [ ! -d "$DOWNLOADED_VIDEO" ]; then 
	mkdir "$VIDEO"
	mkdir "$DOWNLOADED_VIDEO"
	echo "$VIDEO and $DOWNLOADED_VIDEO directories has been created. Use them to upload video files to make playlist updated automatically."
fi

IFS=$'\n';

while [ 1 ]; do

	VIDEO=$(find "$VIDEO" -type f)
	YOUTUBE=$(find "$DOWNLOADED_VIDEO" -type f | grep -v ".part")

	for file in $VIDEO; do 

		if ! grep "$file" "$PLAYLIST" >/dev/null; then 
			echo "$file" >> "$PLAYLIST"
			echo "VIDEO playlist updated: $file"
		fi  
	done 

	for file in $YOUTUBE; do 

		if ! grep "$file" "$PLAYLIST" >/dev/null; then 
			echo "$file" >> "$PLAYLIST"
			echo "YOUTUBE playlist updated: $file"
		fi  
	done 

	sleep 60
done 
